Package org.apache.maven.scm.provider.cvslib.command.update

## Class CvsUpdateCommandTckTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.codehaus.plexus.PlexusTestCase
      - - org.apache.maven.scm.ScmTestCase
        - - org.apache.maven.scm.ScmTckTestCase
          - - org.apache.maven.scm.tck.command.update.UpdateCommandTckTest
            - - org.apache.maven.scm.provider.cvslib.command.update.CvsUpdateCommandTckTest

All Implemented Interfaces:
  `junit.framework.Test`

    public class CvsUpdateCommandTckTest
    extends UpdateCommandTckTest

Author:
  Brett Porter

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmTestCase

`GMT_TIME_ZONE`

### Constructor Summary

Constructors
`CvsUpdateCommandTckTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getModule()`
`java.lang.String` `getScmUrl()`
`void` `initRepo()` Initialize repository at the `ScmTckTestCase.getScmUrl()` location with the files in `ScmTckTestCase.getScmFileNames()`

### Methods inherited from class org.apache.maven.scm.tck.command.update.UpdateCommandTckTest

`testUpdateCommand`

### Methods inherited from class org.apache.maven.scm.ScmTckTestCase

`addToWorkingTree, checkIn, checkOut, edit, getScmFileNames, getScmRepository, mapFilesByPath, removeRepo, setUp, tearDown`

### Methods inherited from class org.apache.maven.scm.ScmTestCase

`assertCommandLine, assertFile, assertPath, assertResultIsSuccess, deleteDirectory, execute, getAssertionCopy, getCustomConfiguration, getDate, getDate, getDate, getRepository, getRepositoryRoot, getScmFileSet, getScmManager, getSecDispatcher, getUpdatingCopy, getWorkingCopy, getWorkingDirectory, isSystemCmd, makeDirectory, makeFile, makeFile, makeScmRepository, printOutputError, printSystemCmdUnavail, setDebugExecute`

### Methods inherited from class org.codehaus.plexus.PlexusTestCase

`customizeComponentConfiguration, customizeContainerConfiguration, customizeContext, getBasedir, getClassLoader, getConfiguration, getConfiguration, getConfigurationName, getContainer, getCustomConfigurationName, getResourceAsStream, getTestConfiguration, getTestConfiguration, getTestFile, getTestFile, getTestPath, getTestPath, lookup, lookup, lookup, lookup, release, setupContainer`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CvsUpdateCommandTckTest

    public CvsUpdateCommandTckTest()

### Method Detail

#### getScmUrl

    public java.lang.String getScmUrl()

Specified by:
  `getScmUrl` in class `ScmTckTestCase`
Returns:
  A provider specific and valid url for the repository

#### getModule

    protected java.lang.String getModule()

Overrides:
  `getModule` in class `ScmTestCase`

#### initRepo

    public void initRepo()
                  throws java.lang.Exception

Initialize repository at the `ScmTckTestCase.getScmUrl()` location with the files in `ScmTckTestCase.getScmFileNames()`

The setup is also asserting on the existence of these files.
This should only be used by this class (thus do not call this method from derived classes) Note: 'svnadmin' should be a system command.

Specified by:
  `initRepo` in class `ScmTckTestCase`
Throws:
  `java.lang.Exception` - if any